comparison configure @ 97043:9592c50233ab remove-carbon

Remove support for Mac Carbon. * mactoolbox.c: * macterm.h: * macterm.c: * macselect.c: * macmenu.c: * macgui.h: * macfns.c: * mac.c: Remove file. * s/darwin.h: * m/intel386.h: * xfaces.c: * xdisp.c: * window.c: * tparam.c: * termhooks.h: * termcap.c: * term.c: * syssignal.h: * sysselect.h: * sysdep.c: * process.c: * lread.c: * lisp.h: * keyboard.c: * image.c: * fringe.c: * frame.h: * frame.c: * fontset.c: * font.h: * font.c: * fns.c: * fileio.c: * emacs.c: * dispnew.c: * dispextern.h: * config.in: * atimer.c: * Makefile.in: Remove code for Carbon * erc.el: Remove code for Carbon. Remove support for Mac Carbon. * term/mac-win.el: Remove file * international/mule-cmds.el: * version.el: * startup.el: * simple.el: * mwheel.el: * mouse.el: * loadup.el: * isearch.el: * info.el: * frame.el: * faces.el: * disp-table.el: * cus-start.el: * cus-face.el: * cus-edit.el: * Makefile.in: Remove code for Carbon. Remove support for Mac Carbon. * makefile.w32-in: * emacsclient.c: Remove code for Carbon. * PROBLEMS: * MACHINES: Remove mentions of Mac Carbon. * ns-emacs.texi: * faq.texi: Remove mentions of Mac Carbon. * os.texi: * frames.texi: * display.texi: Remove mentions of Mac Carbon. * xresources.texi: Remove mentions of Mac Carbon. * make-tarball.txt: * admin.el: * FOR-RELEASE: * CPP-DEFINES: Remove mentions of Mac Carbon. Remove support for Mac Carbon. * mac: Remove directory. * make-dist: * configure.in: * README: * Makefile.in: * INSTALL: Remove code for Carbon. * configure: Regenerate.
author Dan Nicolaescu <dann@ics.uci.edu>
date Sun, 27 Jul 2008 18:24:48 +0000
parents 84c25a3dfb3d
children 840bd675fd85
comparison
equal deleted inserted replaced
97042:0ac199626cb9 97043:9592c50233ab
731 LD_SWITCH_X_SITE_AUX 731 LD_SWITCH_X_SITE_AUX
732 C_SWITCH_X_SITE 732 C_SWITCH_X_SITE
733 X_TOOLKIT_TYPE 733 X_TOOLKIT_TYPE
734 machfile 734 machfile
735 opsysfile 735 opsysfile
736 carbon_appdir
737 ns_appdir 736 ns_appdir
738 ns_appbindir 737 ns_appbindir
739 ns_appresdir 738 ns_appresdir
740 ns_appsrc 739 ns_appsrc
741 GNUSTEP_MAKEFILES 740 GNUSTEP_MAKEFILES
1332 cat <<\_ACEOF 1331 cat <<\_ACEOF
1333 1332
1334 Optional Features: 1333 Optional Features:
1335 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1334 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1336 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1335 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1337 --enable-carbon-app[=DIR]
1338 specify install directory for Emacs.app on Mac OS X
1339 [DIR=/Application]
1340 --enable-cocoa-experimental-ctrl-g enable experimental improved ctrl-g recognition 1336 --enable-cocoa-experimental-ctrl-g enable experimental improved ctrl-g recognition
1341 --disable-ns-self-contained disable self contained build under NS 1337 --disable-ns-self-contained disable self contained build under NS
1342 --enable-asserts compile code with asserts enabled 1338 --enable-asserts compile code with asserts enabled
1343 --enable-maintainer-mode 1339 --enable-maintainer-mode
1344 enable make rules and dependencies not useful (and 1340 enable make rules and dependencies not useful (and
1371 --without-m17n-flt don't use m17n-flt for text shaping 1367 --without-m17n-flt don't use m17n-flt for text shaping
1372 --without-toolkit-scroll-bars 1368 --without-toolkit-scroll-bars
1373 don't use Motif or Xaw3d scroll bars 1369 don't use Motif or Xaw3d scroll bars
1374 --without-xaw3d don't use Xaw3d 1370 --without-xaw3d don't use Xaw3d
1375 --without-xim don't use X11 XIM 1371 --without-xim don't use X11 XIM
1376 --with-carbon use Carbon GUI on Mac OS X. This is unsupported!
1377 --with-ns use nextstep (Cocoa or GNUstep) windowing system 1372 --with-ns use nextstep (Cocoa or GNUstep) windowing system
1378 --without-gpm don't use -lgpm for mouse support on a GNU/Linux 1373 --without-gpm don't use -lgpm for mouse support on a GNU/Linux
1379 console 1374 console
1380 --without-dbus don't compile with D-Bus support 1375 --without-dbus don't compile with D-Bus support
1381 --without-makeinfo don't require makeinfo for building manuals 1376 --without-makeinfo don't require makeinfo for building manuals
2085 else 2080 else
2086 with_xim=yes 2081 with_xim=yes
2087 fi 2082 fi
2088 2083
2089 2084
2090 # Check whether --with-carbon was given.
2091 if test "${with_carbon+set}" = set; then
2092 withval=$with_carbon;
2093 else
2094 with_carbon=no
2095 fi
2096
2097
2098 # Check whether --with-ns was given. 2085 # Check whether --with-ns was given.
2099 if test "${with_ns+set}" = set; then 2086 if test "${with_ns+set}" = set; then
2100 withval=$with_ns; 2087 withval=$with_ns;
2101 else 2088 else
2102 with_ns=no 2089 with_ns=no
2162 if test "X${with_pkg_config_prog}" != X; then 2149 if test "X${with_pkg_config_prog}" != X; then
2163 if test "${with_pkg_config_prog}" != yes; then 2150 if test "${with_pkg_config_prog}" != yes; then
2164 PKG_CONFIG="${with_pkg_config_prog}" 2151 PKG_CONFIG="${with_pkg_config_prog}"
2165 fi 2152 fi
2166 fi 2153 fi
2167
2168 # Check whether --enable-carbon-app was given.
2169 if test "${enable_carbon_app+set}" = set; then
2170 enableval=$enable_carbon_app; carbon_appdir_x=${enableval}
2171 fi
2172
2173 2154
2174 # Check whether --enable-cocoa-experimental-ctrl-g was given. 2155 # Check whether --enable-cocoa-experimental-ctrl-g was given.
2175 if test "${enable_cocoa_experimental_ctrl_g+set}" = set; then 2156 if test "${enable_cocoa_experimental_ctrl_g+set}" = set; then
2176 enableval=$enable_cocoa_experimental_ctrl_g; EN_COCOA_EXPERIMENTAL_CTRL_G=yes 2157 enableval=$enable_cocoa_experimental_ctrl_g; EN_COCOA_EXPERIMENTAL_CTRL_G=yes
2177 else 2158 else
9191 if test ${bmd_acc} != "dummyval"; then 9172 if test ${bmd_acc} != "dummyval"; then
9192 bitmapdir=`echo ${bmd_acc} | sed -e "s/^dummyval://"` 9173 bitmapdir=`echo ${bmd_acc} | sed -e "s/^dummyval://"`
9193 fi 9174 fi
9194 fi 9175 fi
9195 9176
9196 HAVE_CARBON=no
9197 if test "${with_carbon}" != no; then
9198 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
9199 { echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
9200 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6; }
9201 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
9202 echo $ECHO_N "(cached) $ECHO_C" >&6
9203 fi
9204 { echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
9205 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6; }
9206 else
9207 # Is the header compilable?
9208 { echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
9209 echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6; }
9210 cat >conftest.$ac_ext <<_ACEOF
9211 /* confdefs.h. */
9212 _ACEOF
9213 cat confdefs.h >>conftest.$ac_ext
9214 cat >>conftest.$ac_ext <<_ACEOF
9215 /* end confdefs.h. */
9216 $ac_includes_default
9217 #include <Carbon/Carbon.h>
9218 _ACEOF
9219 rm -f conftest.$ac_objext
9220 if { (ac_try="$ac_compile"
9221 case "(($ac_try" in
9222 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9223 *) ac_try_echo=$ac_try;;
9224 esac
9225 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9226 (eval "$ac_compile") 2>conftest.er1
9227 ac_status=$?
9228 grep -v '^ *+' conftest.er1 >conftest.err
9229 rm -f conftest.er1
9230 cat conftest.err >&5
9231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9232 (exit $ac_status); } && {
9233 test -z "$ac_c_werror_flag" ||
9234 test ! -s conftest.err
9235 } && test -s conftest.$ac_objext; then
9236 ac_header_compiler=yes
9237 else
9238 echo "$as_me: failed program was:" >&5
9239 sed 's/^/| /' conftest.$ac_ext >&5
9240
9241 ac_header_compiler=no
9242 fi
9243
9244 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9245 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9246 echo "${ECHO_T}$ac_header_compiler" >&6; }
9247
9248 # Is the header present?
9249 { echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
9250 echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6; }
9251 cat >conftest.$ac_ext <<_ACEOF
9252 /* confdefs.h. */
9253 _ACEOF
9254 cat confdefs.h >>conftest.$ac_ext
9255 cat >>conftest.$ac_ext <<_ACEOF
9256 /* end confdefs.h. */
9257 #include <Carbon/Carbon.h>
9258 _ACEOF
9259 if { (ac_try="$ac_cpp conftest.$ac_ext"
9260 case "(($ac_try" in
9261 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9262 *) ac_try_echo=$ac_try;;
9263 esac
9264 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9265 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
9266 ac_status=$?
9267 grep -v '^ *+' conftest.er1 >conftest.err
9268 rm -f conftest.er1
9269 cat conftest.err >&5
9270 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9271 (exit $ac_status); } >/dev/null && {
9272 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
9273 test ! -s conftest.err
9274 }; then
9275 ac_header_preproc=yes
9276 else
9277 echo "$as_me: failed program was:" >&5
9278 sed 's/^/| /' conftest.$ac_ext >&5
9279
9280 ac_header_preproc=no
9281 fi
9282
9283 rm -f conftest.err conftest.$ac_ext
9284 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9285 echo "${ECHO_T}$ac_header_preproc" >&6; }
9286
9287 # So? What about this header?
9288 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
9289 yes:no: )
9290 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&5
9291 echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9292 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&5
9293 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&2;}
9294 ac_header_preproc=yes
9295 ;;
9296 no:yes:* )
9297 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&5
9298 echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
9299 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&5
9300 echo "$as_me: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&2;}
9301 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&5
9302 echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
9303 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&5
9304 echo "$as_me: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&2;}
9305 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&5
9306 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&2;}
9307 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&5
9308 echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&2;}
9309
9310 ;;
9311 esac
9312 { echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
9313 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6; }
9314 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
9315 echo $ECHO_N "(cached) $ECHO_C" >&6
9316 else
9317 ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
9318 fi
9319 { echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
9320 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6; }
9321
9322 fi
9323 if test $ac_cv_header_Carbon_Carbon_h = yes; then
9324 HAVE_CARBON=yes
9325 fi
9326
9327
9328 test "${HAVE_CARBON}" = yes && window_system=mac
9329 fi
9330
9331 HAVE_NS=no 9177 HAVE_NS=no
9332 NS_IMPL_COCOA=no 9178 NS_IMPL_COCOA=no
9333 NS_IMPL_GNUSTEP=no 9179 NS_IMPL_GNUSTEP=no
9334 tmp_CPPFLAGS="$CPPFLAGS" 9180 tmp_CPPFLAGS="$CPPFLAGS"
9335 tmp_CFLAGS="$CFLAGS" 9181 tmp_CFLAGS="$CFLAGS"
9486 fi 9332 fi
9487 9333
9488 9334
9489 fi 9335 fi
9490 if test "${HAVE_NS}" = yes; then 9336 if test "${HAVE_NS}" = yes; then
9491 test "${window_system}" = mac && HAVE_CARBON=no
9492 window_system=nextstep 9337 window_system=nextstep
9493 with_xft=no 9338 with_xft=no
9494 with_freetype=no 9339 with_freetype=no
9495 # set up packaging dirs 9340 # set up packaging dirs
9496 exec_prefix=${ns_appbindir} 9341 exec_prefix=${ns_appbindir}
9513 USE_X_TOOLKIT=none ;; 9358 USE_X_TOOLKIT=none ;;
9514 no ) USE_X_TOOLKIT=none ;; 9359 no ) USE_X_TOOLKIT=none ;;
9515 * ) USE_X_TOOLKIT=maybe ;; 9360 * ) USE_X_TOOLKIT=maybe ;;
9516 esac 9361 esac
9517 ;; 9362 ;;
9518 nextstep | mac | none ) 9363 nextstep | none )
9519 HAVE_X_WINDOWS=no 9364 HAVE_X_WINDOWS=no
9520 HAVE_X11=no 9365 HAVE_X11=no
9521 USE_X_TOOLKIT=none 9366 USE_X_TOOLKIT=none
9522 ;; 9367 ;;
9523 esac 9368 esac
10906 fi 10751 fi
10907 10752
10908 10753
10909 ### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified. 10754 ### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified.
10910 HAVE_RSVG=no 10755 HAVE_RSVG=no
10911 if test "${HAVE_X11}" = "yes" || test "${HAVE_CARBON}" = "yes"; then 10756 if test "${HAVE_X11}" = "yes"; then
10912 if test "${with_rsvg}" != "no"; then 10757 if test "${with_rsvg}" != "no"; then
10913 RSVG_REQUIRED=2.0.0 10758 RSVG_REQUIRED=2.0.0
10914 RSVG_MODULE="librsvg-2.0 >= $RSVG_REQUIRED" 10759 RSVG_MODULE="librsvg-2.0 >= $RSVG_REQUIRED"
10915 10760
10916 10761
12499 cat >>confdefs.h <<\_ACEOF 12344 cat >>confdefs.h <<\_ACEOF
12500 #define USE_TOOLKIT_SCROLL_BARS 1 12345 #define USE_TOOLKIT_SCROLL_BARS 1
12501 _ACEOF 12346 _ACEOF
12502 12347
12503 USE_TOOLKIT_SCROLL_BARS=yes 12348 USE_TOOLKIT_SCROLL_BARS=yes
12504 elif test "${HAVE_CARBON}" = "yes"; then
12505 cat >>confdefs.h <<\_ACEOF
12506 #define USE_TOOLKIT_SCROLL_BARS 1
12507 _ACEOF
12508
12509 USE_TOOLKIT_SCROLL_BARS=yes
12510 elif test "${HAVE_NS}" = "yes"; then 12349 elif test "${HAVE_NS}" = "yes"; then
12511 cat >>confdefs.h <<\_ACEOF 12350 cat >>confdefs.h <<\_ACEOF
12512 #define USE_TOOLKIT_SCROLL_BARS 1 12351 #define USE_TOOLKIT_SCROLL_BARS 1
12513 _ACEOF 12352 _ACEOF
12514 12353
14980 14819
14981 fi 14820 fi
14982 14821
14983 14822
14984 14823
14985 ### Use Mac OS X Carbon API to implement GUI.
14986 if test "${HAVE_CARBON}" = "yes"; then
14987
14988 cat >>confdefs.h <<\_ACEOF
14989 #define HAVE_CARBON 1
14990 _ACEOF
14991
14992
14993 for ac_header in AvailabilityMacros.h
14994 do
14995 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
14996 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
14997 { echo "$as_me:$LINENO: checking for $ac_header" >&5
14998 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
14999 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15000 echo $ECHO_N "(cached) $ECHO_C" >&6
15001 fi
15002 ac_res=`eval echo '${'$as_ac_Header'}'`
15003 { echo "$as_me:$LINENO: result: $ac_res" >&5
15004 echo "${ECHO_T}$ac_res" >&6; }
15005 else
15006 # Is the header compilable?
15007 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
15008 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
15009 cat >conftest.$ac_ext <<_ACEOF
15010 /* confdefs.h. */
15011 _ACEOF
15012 cat confdefs.h >>conftest.$ac_ext
15013 cat >>conftest.$ac_ext <<_ACEOF
15014 /* end confdefs.h. */
15015 $ac_includes_default
15016 #include <$ac_header>
15017 _ACEOF
15018 rm -f conftest.$ac_objext
15019 if { (ac_try="$ac_compile"
15020 case "(($ac_try" in
15021 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15022 *) ac_try_echo=$ac_try;;
15023 esac
15024 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15025 (eval "$ac_compile") 2>conftest.er1
15026 ac_status=$?
15027 grep -v '^ *+' conftest.er1 >conftest.err
15028 rm -f conftest.er1
15029 cat conftest.err >&5
15030 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15031 (exit $ac_status); } && {
15032 test -z "$ac_c_werror_flag" ||
15033 test ! -s conftest.err
15034 } && test -s conftest.$ac_objext; then
15035 ac_header_compiler=yes
15036 else
15037 echo "$as_me: failed program was:" >&5
15038 sed 's/^/| /' conftest.$ac_ext >&5
15039
15040 ac_header_compiler=no
15041 fi
15042
15043 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
15044 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
15045 echo "${ECHO_T}$ac_header_compiler" >&6; }
15046
15047 # Is the header present?
15048 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
15049 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
15050 cat >conftest.$ac_ext <<_ACEOF
15051 /* confdefs.h. */
15052 _ACEOF
15053 cat confdefs.h >>conftest.$ac_ext
15054 cat >>conftest.$ac_ext <<_ACEOF
15055 /* end confdefs.h. */
15056 #include <$ac_header>
15057 _ACEOF
15058 if { (ac_try="$ac_cpp conftest.$ac_ext"
15059 case "(($ac_try" in
15060 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15061 *) ac_try_echo=$ac_try;;
15062 esac
15063 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15064 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
15065 ac_status=$?
15066 grep -v '^ *+' conftest.er1 >conftest.err
15067 rm -f conftest.er1
15068 cat conftest.err >&5
15069 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15070 (exit $ac_status); } >/dev/null && {
15071 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
15072 test ! -s conftest.err
15073 }; then
15074 ac_header_preproc=yes
15075 else
15076 echo "$as_me: failed program was:" >&5
15077 sed 's/^/| /' conftest.$ac_ext >&5
15078
15079 ac_header_preproc=no
15080 fi
15081
15082 rm -f conftest.err conftest.$ac_ext
15083 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
15084 echo "${ECHO_T}$ac_header_preproc" >&6; }
15085
15086 # So? What about this header?
15087 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
15088 yes:no: )
15089 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
15090 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
15091 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
15092 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
15093 ac_header_preproc=yes
15094 ;;
15095 no:yes:* )
15096 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
15097 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
15098 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
15099 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
15100 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
15101 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
15102 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
15103 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
15104 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
15105 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
15106 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
15107 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
15108
15109 ;;
15110 esac
15111 { echo "$as_me:$LINENO: checking for $ac_header" >&5
15112 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
15113 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15114 echo $ECHO_N "(cached) $ECHO_C" >&6
15115 else
15116 eval "$as_ac_Header=\$ac_header_preproc"
15117 fi
15118 ac_res=`eval echo '${'$as_ac_Header'}'`
15119 { echo "$as_me:$LINENO: result: $ac_res" >&5
15120 echo "${ECHO_T}$ac_res" >&6; }
15121
15122 fi
15123 if test `eval echo '${'$as_ac_Header'}'` = yes; then
15124 cat >>confdefs.h <<_ACEOF
15125 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
15126 _ACEOF
15127
15128 fi
15129
15130 done
15131
15132 ## Specify the install directory
15133 carbon_appdir=
15134 if test "${carbon_appdir_x}" != ""; then
15135 case ${carbon_appdir_x} in
15136 y | ye | yes) carbon_appdir=/Applications ;;
15137 * ) carbon_appdir=${carbon_appdir_x} ;;
15138 esac
15139 fi
15140 # We also have mouse menus.
15141 HAVE_MENUS=yes
15142 fi
15143 ### Use NeXTstep API to implement GUI. 14824 ### Use NeXTstep API to implement GUI.
15144 if test "${HAVE_NS}" = "yes"; then 14825 if test "${HAVE_NS}" = "yes"; then
15145 14826
15146 cat >>confdefs.h <<\_ACEOF 14827 cat >>confdefs.h <<\_ACEOF
15147 #define HAVE_NS 1 14828 #define HAVE_NS 1
24189 23870
24190 23871
24191 23872
24192 23873
24193 23874
24194
24195 cat >>confdefs.h <<_ACEOF 23875 cat >>confdefs.h <<_ACEOF
24196 #define EMACS_CONFIGURATION "${canonical}" 23876 #define EMACS_CONFIGURATION "${canonical}"
24197 _ACEOF 23877 _ACEOF
24198 23878
24199 23879
24356 echo "There are known problems with Emacs and Gtk+ on cygwin, so you 24036 echo "There are known problems with Emacs and Gtk+ on cygwin, so you
24357 will probably get a crash on startup. If this happens, please use another 24037 will probably get a crash on startup. If this happens, please use another
24358 toolkit for Emacs. See etc/PROBLEMS for more information." 24038 toolkit for Emacs. See etc/PROBLEMS for more information."
24359 ;; 24039 ;;
24360 esac 24040 esac
24361 fi
24362
24363
24364 if test "$HAVE_CARBON" = "yes"; then
24365 echo
24366 echo "Warning: The Mac Carbon port is currently unsupported and has
24367 known problems. It is not recommended for use by non-developers.
24368 The NeXTstep port (--with-ns) is an alternative.
24369 Read the emacs-devel archives for more information."
24370 echo
24371 fi 24041 fi
24372 24042
24373 if test "$HAVE_NS" = "yes"; then 24043 if test "$HAVE_NS" = "yes"; then
24374 echo 24044 echo
24375 echo "You must run \"make install\" in order to test the built application. 24045 echo "You must run \"make install\" in order to test the built application.
25226 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim 24896 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim
25227 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim 24897 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim
25228 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim 24898 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim
25229 machfile!$machfile$ac_delim 24899 machfile!$machfile$ac_delim
25230 opsysfile!$opsysfile$ac_delim 24900 opsysfile!$opsysfile$ac_delim
25231 carbon_appdir!$carbon_appdir$ac_delim
25232 ns_appdir!$ns_appdir$ac_delim 24901 ns_appdir!$ns_appdir$ac_delim
25233 ns_appbindir!$ns_appbindir$ac_delim 24902 ns_appbindir!$ns_appbindir$ac_delim
25234 ns_appresdir!$ns_appresdir$ac_delim 24903 ns_appresdir!$ns_appresdir$ac_delim
25235 ns_appsrc!$ns_appsrc$ac_delim 24904 ns_appsrc!$ns_appsrc$ac_delim
25236 GNUSTEP_MAKEFILES!$GNUSTEP_MAKEFILES$ac_delim 24905 GNUSTEP_MAKEFILES!$GNUSTEP_MAKEFILES$ac_delim
25237 LTLIBOBJS!$LTLIBOBJS$ac_delim 24906 LTLIBOBJS!$LTLIBOBJS$ac_delim
25238 _ACEOF 24907 _ACEOF
25239 24908
25240 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 27; then 24909 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 26; then
25241 break 24910 break
25242 elif $ac_last_try; then 24911 elif $ac_last_try; then
25243 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 24912 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
25244 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 24913 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
25245 { (exit 1); exit 1; }; } 24914 { (exit 1); exit 1; }; }